# GimpUi.ColorArea

    const GimpUi = imports.gi.GimpUi;

    let colorArea = new GimpUi.ColorArea({
        color: value,
        type: value,
    });

Displays a [class@Gegl.Color], optionally with alpha-channel.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.DrawingArea
        - GimpUi.ColorArea

## Constructors

- GimpUi.ColorArea.new

## Methods

- GimpUi.ColorArea.prototype.enable_drag
- GimpUi.ColorArea.prototype.get_color
- GimpUi.ColorArea.prototype.has_alpha
- GimpUi.ColorArea.prototype.set_color
- GimpUi.ColorArea.prototype.set_color_config
- GimpUi.ColorArea.prototype.set_draw_border
- GimpUi.ColorArea.prototype.set_out_of_gamut
- GimpUi.ColorArea.prototype.set_type

## Properties

- color
- drag-mask
- draw-border
- type

## Signals

- color-changed